#!/bin/bash
branch="$CI_COMMIT_BRANCH"

tags=()

if [ "$branch" = "staging" -o "$branch" = "production" ]; then
    tags+=("$branch")
else
    tags+=("dev")
fi

docker_images=()

add_docker_image() {
    local image="$1"
    local dimage
    if [ -f "docker/$image/Dockerfile" ]; then
        found=""
        for dimage in "${docker_images[@]}"; do
            if [ "$dimage" = "$image" ]; then
                found=1
                break
            fi
        done
        if [ -z "$found" ]; then
            if [ -f "docker/$image/depends.txt" ]; then
                for dimage in `cat "docker/$image/depends.txt"`; do
                    add_docker_image "$dimage"
                done
            fi
            docker_images+=("$image")
        fi

    fi
}

for image in `cd docker; ls`; do
    add_docker_image "$image"
done
